if [[ -z "${AWS_ACCESS_KEY_ID}" ]]; then
	echo Missing AWS access key. Skip deployment.
	exit 0
fi

if [[ -z "${AWS_SECRET_ACCESS_KEY}" ]]; then
	echo Missing AWS secret key. Skip deployment.
	exit 0
fi

if [ ! "$DRONE_COMMIT_BRANCH" == "master" ]; then
	echo Not on master branch. Skip deployment.
	exit 0
fi

cd dist && aws --endpoint-url https://s3.communiquons.org s3 sync . s3://geneit-app
